Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.figures
Class StepFigure

    java.lang.Object
      org.jhotdraw.standard.AbstractFigure
          org.jhotdraw.standard.CompositeFigure
              org.jhotdraw.contrib.GraphicalCompositeFigure
                  org.musoft.limo.drawing.ModelFigure
                      edu.udo.cs.miningmart.gui.figures.StepFigure

All Implemented Interfaces:
  java.lang.Cloneable, java.util.EventListener, org.jhotdraw.framework.Figure, org.jhotdraw.framework.FigureChangeListener, java.awt.image.ImageObserver, org.jhotdraw.contrib.Layoutable, org.musoft.limo.model.ModelListener, java.io.Serializable, org.jhotdraw.util.Storable

public class StepFigure
extends org.musoft.limo.drawing.ModelFigure
implements java.awt.image.ImageObserver

A `ModelFigure` for the `MiningMartStep`.

Version:
  $Id: StepFigure.java,v 1.3 2006/04/11 14:10:17 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.musoft.limo.drawing.ModelFigure
`LABEL_CENTER, LABEL_EAST, LABEL_HIDDEN, LABEL_INSIDE, LABEL_NORTH, LABEL_OUTSIDE, LABEL_SOUTH, LABEL_WEST, labelFigure`

Fields inherited from class org.jhotdraw.standard.CompositeFigure
`_nHighestZ, _nLowestZ, fFigures`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Fields inherited from interface org.jhotdraw.framework.Figure
`POPUP_MENU`

Constructor Summary
`StepFigure(org.musoft.limo.model.ModelFigureElement element, org.musoft.limo.drawing.ModelDrawing drawing)` Constructs new `StepFigure`.

Method Summary
`void` | `basicDisplayBox(java.awt.Point origin, java.awt.Point corner)`
`void` | `draw(java.awt.Graphics g)` Draws the image of the `StepFigure`.
`MiningMartStep` | `getMiningMartStep()` Gets the `MiningMartStep`.
`java.lang.String` | `getStepFigureFileName()` Gets the filename of the step-figure.
`java.awt.Image` | `getStepFigureImage()` Gets the iamge of the `StepFigure`.
`boolean` | `imageUpdate(java.awt.Image img, int flags, int x, int y, int w, int h)` Handles asynchroneous image updates.
`void` | `moveBy(int dx, int dy)` If the `StepFigure` was moved then the position of the `Step` also changes.
`void` | `onSetAttribute(org.musoft.limo.model.ModelElement sender, org.musoft.limo.model.ModelPrimitiveAttribute mpa)`
`void` | `onSetName(org.musoft.limo.model.ModelElement sender)` Sets the label.

Methods inherited from class org.musoft.limo.drawing.ModelFigure
`addToContainer, bringToFront, createConnector, displayBox, getDecoration, getDrawing, getElement, getLabel, getLabelColor, getLabelFigure, getLabelPosition, getMoveable, getSizeable, handles, initialize, onAddAssociate, onAddChild, onCreateChild, onCreateConnection, onDestroy, onRemoveAssociate, onRemoveChild, onSetAttribute, onSetBounds, onSetConnectionEnd, onSetConnectionPoints, onSetConnectionStart, onSetDirty, onSetParent, onSetPosition, setDecoration, setLabel, setLabelColor, setLabelPosition, setMoveable, setPresentationFigure, setSizeable`

Methods inherited from class org.jhotdraw.contrib.GraphicalCompositeFigure
`basicMoveBy, change, clone, displayBox, figureRequestRemove, getAttribute, getAttribute, getLayouter, getPresentationFigure, layout, read, setAttribute, setAttribute, setLayouter, update, write`

Methods inherited from class org.jhotdraw.standard.CompositeFigure
`add, addAll, addAll, bringToFront, containsFigure, draw, figureAt, figureChanged, figureCount, figureInvalidated, figureRemoved, figureRequestUpdate, figures, figures, figuresReverse, findFigure, findFigure, findFigure, findFigureInside, findFigureInsideWithout, findFigureWithout, getFigureFromLayer, getLayer, includes, init, orphan, orphanAll, orphanAll, release, remove, removeAll, removeAll, removeAll, replace, sendToBack, sendToLayer`

Methods inherited from class org.jhotdraw.standard.AbstractFigure
`addDependendFigure, addFigureChangeListener, canConnect, center, changed, connectedTextLocator, connectionInsets, connectorAt, connectorVisibility, containsPoint, decompose, displayBox, getDecoratedFigure, getDependendFigures, getTextHolder, getZValue, invalidate, invalidateRectangle, isEmpty, listener, removeDependendFigure, removeFigureChangeListener, removeFromContainer, setZValue, size, visit, willChange`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jhotdraw.framework.Figure
`addDependendFigure, addFigureChangeListener, canConnect, center, changed, connectedTextLocator, connectionInsets, connectorAt, connectorVisibility, containsPoint, decompose, displayBox, figures, findFigureInside, getDecoratedFigure, getDependendFigures, getTextHolder, getZValue, includes, invalidate, isEmpty, listener, release, removeDependendFigure, removeFigureChangeListener, removeFromContainer, setZValue, size, visit, willChange`

Constructor Detail

### StepFigure

    public StepFigure(org.musoft.limo.model.ModelFigureElement element,
                      org.musoft.limo.drawing.ModelDrawing drawing)

  Constructs new `StepFigure`.

Method Detail

### getMiningMartStep

    public MiningMartStep getMiningMartStep()

  Gets the `MiningMartStep`.

### getStepFigureFileName

    public java.lang.String getStepFigureFileName()

  Gets the filename of the step-figure.

### getStepFigureImage

    public java.awt.Image getStepFigureImage()

  Gets the iamge of the `StepFigure`.

### basicDisplayBox

    public void basicDisplayBox(java.awt.Point origin,
                                java.awt.Point corner)

  Specified by:
    `basicDisplayBox` in interface `org.jhotdraw.framework.Figure`

### moveBy

    public void moveBy(int dx,
                       int dy)

  If the `StepFigure` was moved then the position of the `Step` also changes.

  Specified by:
    `moveBy` in interface `org.jhotdraw.framework.Figure`

### draw

    public void draw(java.awt.Graphics g)

  Draws the image of the `StepFigure`.

  Specified by:
    `draw` in interface `org.jhotdraw.framework.Figure`

### imageUpdate

    public boolean imageUpdate(java.awt.Image img,
                               int flags,
                               int x,
                               int y,
                               int w,
                               int h)

  Handles asynchroneous image updates.

  Specified by:
    `imageUpdate` in interface `java.awt.image.ImageObserver`

### onSetName

    public void onSetName(org.musoft.limo.model.ModelElement sender)

  Sets the label.

  Specified by:
    `onSetName` in interface `org.musoft.limo.model.ModelListener`

### onSetAttribute

    public void onSetAttribute(org.musoft.limo.model.ModelElement sender,
                               org.musoft.limo.model.ModelPrimitiveAttribute mpa)

  Specified by:
    `onSetAttribute` in interface `org.musoft.limo.model.ModelListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005